Subject: [PATCH v10 00/21] Introduce ACPI for ARM64 based on ACPI 5.1

From: [email-masked] (Lorenzo Pieralisi)
Date: Thu, 19 Mar 2015 10:17:27 +0000

On Thu, Mar 19, 2015 at 04:09:33AM +0000, Hanjun Guo wrote:
> On 2015/3/19 3:05, Will Deacon wrote:
> > Hanjun,
> 
> Hi Will,
> 
> >
> > On Wed, Mar 11, 2015 at 12:39:26PM +0000, Hanjun Guo wrote:
> >> This patch set already tested on multi platforms:
> >>  - AMD Seattle board;
> >>  - Cavium Thunder board;
> >>  - Huawei D02 board;
> >>  - Qualcomm ARM64 platform
> >>
> >> This version 10 patch set address some minor comments and collect ACKs and
> >> Reviewed-bys for v9:
> >>
> >>  - new Acks from Rafael, Olof, Grant, Lorenzo
> >>  - new way to handle typdef phys_cpuid_t which suggested by Rafael,
> >>    but no functional change
> >>  - Remove if(!phys) for early ioremappings
> >>  - Rework sleep function for ARM64
> >>  - Introduce linux/acpi_irq.h to hold acpi_irq_init()
> >>  - Disable ACPI if not HW_REDUCED_ACPI compliant
> >>  - Remove the doc of why ACPI on ARM
> > So I've had a look at the current state of this series and I think there
> > are a few immediate things left to do:
> >
> >   (1) Resolve the acpi=force cmdline issue highlighted by Lorenzo and
> >       Catalin
> 
> Sure, it will be done after the confirmation with Ard.
> 
> >
> >   (2) I believe Sudeep and Lorenzo have concerns about patch 13 (SMP init),
> >       so I'm assuming there will be additional patches from them that are
> >       required.
> 
> Sorry, I assume that it is about the print information for PSCI absent for SMP init, right?

Not only that, Sudeep has a patch to consolidate DT and ACPI SMP code,
I am working on it, I do not think it should be a blocking point, patch
coming asap on top of your series.

Lorenzo